Commit 16d486ec authored by Ondřej Surý's avatar Ondřej Surý
Browse files

Merge branch '781-fix-python-check-in-configure-script' into 'master'

Resolve "configure script in BIND 9.13.5 release fails to detect python"

Closes #781

See merge request isc-projects/bind9!1248
parents 41478d0a 99cf0fae
Pipeline #8126 passed with stages
in 24 minutes and 37 seconds
......@@ -258,6 +258,7 @@ clang:stretch:amd64:build:
variables:
CC: clang
CFLAGS: "-Wall -Wextra -Wenum-conversion -O2 -g"
EXTRA_CONFIGURE: "--with-python=python3"
<<: *debian_stretch_amd64_image
<<: *build_job
......@@ -265,7 +266,7 @@ jessie:amd64:build:
variables:
CC: gcc
CFLAGS: "-Wall -Wextra -O2 -g"
EXTRA_CONFIGURE: --without-cmocka
EXTRA_CONFIGURE: "--without-cmocka --with-python"
<<: *debian_jessie_amd64_image
<<: *build_job
......@@ -297,6 +298,7 @@ clang:stretch:i386:build:
variables:
CC: clang
CFLAGS: "-Wall -Wextra -Wenum-conversion -O2 -g"
EXTRA_CONFIGURE: "--with-python=python2"
<<: *debian_stretch_i386_image
<<: *build_job
......@@ -304,7 +306,7 @@ sid:i386:build:
variables:
CC: gcc
CFLAGS: "-Wall -Wextra -O2 -g"
EXTRA_CONFIGURE: "--with-libidn2"
EXTRA_CONFIGURE: "--with-libidn2 --without-python"
<<: *debian_sid_i386_image
<<: *build_job
......
......@@ -12180,12 +12180,14 @@ except: exit(1)'
testply='try: import ply
except: exit(1)'
 
default_with_python="python python3 python3.7 python3.6 python3.5 python3.4 python3.3 python3.2 python2 python2.7"
 
# Check whether --with-python was given.
if test "${with_python+set}" = set; then :
withval=$with_python;
else
with_python="python python3 python3.7 python3.6 python3.5 python3.4 python3.3 python3.2 python2 python2.7"
with_python=$default_with_python
fi
 
 
......@@ -12197,6 +12199,10 @@ else
fi
 
 
if test "$with_python" = "yes"; then :
with_python=$default_with_python
fi
if test "$with_python" = "no"; then :
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for Python support" >&5
$as_echo_n "checking for Python support... " >&6; }
......
......@@ -191,15 +191,20 @@ except: exit(1)'
testply='try: import ply
except: exit(1)'
default_with_python="python python3 python3.7 python3.6 python3.5 python3.4 python3.3 python3.2 python2 python2.7"
AC_ARG_WITH([python],
AS_HELP_STRING([--with-python=PATH],
[specify path to Python interpreter]),
[], [with_python="python python3 python3.7 python3.6 python3.5 python3.4 python3.3 python3.2 python2 python2.7"])
[], [with_python=$default_with_python])
AC_ARG_WITH([python-install-dir],
AS_HELP_STRING([--with-python-install-dir=PATH],
[installation directory for Python modules]),
[], with_python_install_dir="")
AS_IF([test "$with_python" = "yes"],
[with_python=$default_with_python])
AS_IF([test "$with_python" = "no"],
[AC_MSG_CHECKING([for Python support])
AC_MSG_RESULT([disabled])],
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment